Bug 817336 - SELinux is preventing /usr/libexec/colord from 'create' accesses on the shared memory .
SELinux is preventing /usr/libexec/colord from 'create' accesses on the share...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f8a751f403935c85448acd88e61...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 04:01 EDT by redouane
Modified: 2012-06-27 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redouane 2012-04-29 04:01:28 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc16.x86_64
reason:         SELinux is preventing /usr/libexec/colord from 'create' accesses on the shared memory .
time:           Sun 29 Apr 2012 09:01:11 AM CET

description:
:SELinux is preventing /usr/libexec/colord from 'create' accesses on the shared memory .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that colord should be allowed create access on the  shm by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep colord /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Objects                 [ shm ]
:Source                        colord
:Source Path                   /usr/libexec/colord
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           colord-0.1.15-2.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-1.fc16.x86_64 #1 SMP Sat
:                              Apr 14 00:31:23 UTC 2012 x86_64 x86_64
:Alert Count                   109
:First Seen                    Mon 23 Apr 2012 05:13:45 PM CET
:Last Seen                     Sun 29 Apr 2012 09:00:19 AM CET
:Local ID                      a0e1c30f-ce57-4b76-add5-dabbe600cfb4
:
:Raw Audit Messages
:type=AVC msg=audit(1335686419.754:160): avc:  denied  { create } for  pid=6971 comm="colord" key=-324508629  scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tclass=shm
:
:
:type=SYSCALL msg=audit(1335686419.754:160): arch=x86_64 syscall=shmget success=no exit=EACCES a0=eca8642b a1=1000 a2=3b6 a3=7fffafc941d0 items=0 ppid=1 pid=6971 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)
:
:Hash: colord,colord_t,colord_t,shm,create
:
:audit2allow
:
:#============= colord_t ==============
:allow colord_t self:shm create;
:
:audit2allow -R
:
:#============= colord_t ==============
:allow colord_t self:shm create;
:
Comment 1 Miroslav Grepl 2012-05-02 06:54:22 EDT
Fixed in selinux-policy-3.10.0-88.fc16
Comment 2 Fedora Update System 2012-06-15 06:30:19 EDT
selinux-policy-3.10.0-89.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-89.fc16
Comment 3 Fedora Update System 2012-06-15 19:51:49 EDT
Package selinux-policy-3.10.0-89.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-89.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9507/selinux-policy-3.10.0-89.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-27 23:26:10 EDT
selinux-policy-3.10.0-89.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.